Support » Plugin: WP Help » Fatal Error on Page.ly

  • Hi,

    I received a fatal error this morning while trying to access the dashboard on my website. The error log read as

    [24-Oct-2016 10:15:52 UTC] PHP Fatal error: Cannot access private property CWS_WP_Help_Plugin::$help_topics_html in /dom9035/wp-content/plugins/wp-help/templates/dashboard-widget.php on line 5

    After disabling the plugin via FTP, I was able to log in.

    Do you mind looking into this issue and updating me with a resolution.

    Thanks,

Viewing 2 replies - 1 through 2 (of 2 total)
  • *ding ding*

    I really want to use the plugin but this Fatal error won’t let me move around freely.

    Did you get a chance to look into it? I’d really appreciate a status update on this request. (even a small ‘I am looking into it’ would do wonders. 🙂 )

    Thanks,

    Htezabwala, I think your issue may be with the version of PHP you’re using. We use Pagely too and have just been informed our server will soon be updated with PHP7. We ran compatibility tests and found that Authorizer is incompatible with PHP7 – it gives two warnings:

    40 | WARNING | Method name “CWS_WP_Help_Requirements_Check::__php_at_least” is discouraged; PHP has reserved all method names with a double underscore prefix for future use\
    59 | WARNING | Method name “CWS_WP_Help_Requirements_Check::__wp_at_least” is discouraged; PHP has reserved all method names with a double underscore prefix for future use\

    We are currently running an older version of PHP (5.6) and Authorizer works fine with it. You should be able to check in Atomic to find out what version you are using and switch back to 5.6 to see if that fixes the problem. I’m about to create a separate support thread asking the plugin author to update these two method names so that we can switch over to PHP7.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Fatal Error on Page.ly’ is closed to new replies.